Name:           sodipodi
Version:        0.34
Release:        4
Epoch:          0
Summary:        Vector-based drawing program.

Group:          Applications/Multimedia
License:        GPL
URL:            http://sodipodi.sourceforge.net/
Source0:        http://dl.sf.net/sourceforge/sodipodi/sodipodi-0.34.tar.gz
Patch0:		sodipodi-64bit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  XFree86-devel >= 0:4.3.0
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  libpng-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

%description
Sodipodi is a vector-based drawing program, like CorelDraw® or Adobe
Illustrator® from the proprietary software world, and Sketch or Karbon14 from
the free software world. It is free software, distributed under the terms of
the Gnu General Public License, Version 2.

Sodipodi uses W3C SVG as its native file format. It is therefore a very useful
tool for web designers.

It has a relatively modern display engine, giving you finely antialiased
display, alpha transparencies, vector fonts and so on. Sodipodi is written in
C, using the Gtk+ toolkit and optionally some Gnome libraries. 



%prep
%setup -q
%patch0 -b .patch0



#Package should have i686 and athlon versions built
%build
%configure                     \
--disable-dependency-tracking  \
%ifarch i386
        --disable-mmx          \
%endif
%ifarch i686
        --enable-mmx           \
%endif
%ifarch athlon
        --enable-mmx           \
%endif
--with-gnome-print             \
--with-xinerama
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original     \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications          \
  --add-category X-Fedora                                  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/sodipodi.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO
%{_bindir}/sodipodi
%{_libdir}/sodipodi
%{_datadir}/sodipodi
%{_datadir}/applications/fedora-sodipodi.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/*



%changelog
* Wed May 11 2005 Throsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.34-4
- rebuild

* Tue May 10 2005 Throsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.34-3
- add sodipodi-64bit.patch found at gentoo; Fixes #157177

* Tue Apr 06 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.34-0.fdr.2
- Corrected URL.

* Sun Feb 15 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.34-0.fdr.1
- Updated to 0.34.

* Sun Feb 08 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.34-0.fdr.0.1.beta1
- Updated to 0.34-beta1.

* Sun Nov 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.33-0.fdr.1
- Updated to 0.33 final.
- --disable-dependency-tracking.

* Mon Nov 24 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.33-0.fdr.0.1.beta
- Updated to 0.33-beta.
- turn on/off mmx depending on buildarch.

* Wed Oct 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.4
- Removed aesthetic comments.
- Brought spec more in line with current template.

* Fri Jun 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.3
- BuildReq libgnomeprintui22-devel.
- Added --with-xinerama.
- Added --with-gnome-print.

* Tue Jun 24 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.2
- Removed cvsBuildScript.
- Changed Source0 path.
- Added explicit Epoch to BuildReq.

* Fri Jun 20 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.1
- Updated to 0.32.

* Sat Jun 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.0.2.cvs20030614
- Updated to CVS.

* Fri Jun 06 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.0.2.cvs20030606
- Updated to CVS.

* Wed May 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.0.2.cvs20030514
- Updated to CVS.
- buildroot -> RPM_BUILD_ROOT.
- Repackaged source as bz2.

* Tue Apr 29 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.0.2.cvs20030429
- Added autogen.sh.
- Updated to cvs.

* Wed Apr 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.0.2.cvs20030416.rh90
- Updated to cvs

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.32-0.fdr.0.2.cvs20030401.rh90
- Changed category to X-Fedora-Extra.
- Added desktop-file-utils to BuildRequires.
- Added Epoch:0.

* Thu Mar 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.32-0.fdr.0.2.cvs20030327.rh90
- Added libpng-devel BuildRequires.
- Edited path for desktop-file-install.
- Moved autogen.sh out of spec and into cvs script.

* Thu Mar 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.32-0.fdr.0.1.cvs20030327.rh90
- Initial RPM release.
